// Melodieklingel   -   Guido Scheidat
// Nachbau der Melodieklingel aus FA 4/86 mit modernen Bauteilen
// bernahme aller Melodien aus der "Funkamateur"

// ATmega8 
// intern 8 MHz
// Pin 4 (PD2 / INT0) - Klingeltaster
// Pin 15 (PB1 / OC1A) - Ausgang zum Lautsprecher


#define     SPEAKER         (1 << PB1) //OC1A
#define     TASTE           (1 << PD2) //INT0
#define     SOUNDON         DDRB |= SPEAKER
#define     SOUNDOFF        DDRB &= ~SPEAKER

// Variable 'status' wird als Bitregister verwendet  
//Bit0 = enderr 
#define     enderr         	0b00000001
//Bit1 = liedende
#define		liedende		0b00000010
//Bit2 = pause 
#define     pause         	0b00000100




